diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c
old mode 100755
new mode 100644
index 4b9da447f4c179a7761b2ae40f6e5f14d8d030d7..31e7a50fff429e2d8345ee2977427bc1205eef2d
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/lbist_utils.c
@@ -69,13 +69,12 @@
 /* ========================================================================== */
 /*                             Include Files                                  */
 /* ========================================================================== */
-
-#include "Std_Types.h"
+#include <stdint.h>
 #include <string.h>
-#include <ti/csl/csl_types.h>
-#include <ti/csl/csl_lbist.h>
-#include <ti/csl/soc.h>
+#include <sdl_types.h>
+#include <src/sdl/sdl_lbist.h>
 #include <ti/drv/sciclient/sciclient.h>
+#include <ti/drv/uart/UART_stdio.h>
 
 /* Osal API header files */
 #include <ti/osal/HwiP.h>
@@ -86,14 +85,10 @@
 #include "lbist_utils.h"
 #include "lbist_defs.h"
 
-#include "app_utils.h"
-
 /* ========================================================================== */
 /*                           Macros & Typedefs                                */
 /* ========================================================================== */
 
-#define LBIST_MAX_TIMEOUT_VALUE    10000000u
-
 /* This flag adds more verbose prints */
 //#define DEBUG
 
@@ -104,15 +99,7 @@
 /*                 Internal Function Declarations                             */
 /* ========================================================================== */
 
-static int32_t LBIST_isPostLbistTimeout(uint32_t postStatMmrRegVal,
-                                        uint8_t section,
-                                        Bool *pIsTimedOut);
-static int32_t LBIST_isPostLbistDone(uint32_t postStatMmrRegVal,
-                                     uint8_t section,
-                                     Bool *pIsDone);
-static int32_t LBIST_runPostLbistCheck(uint32_t hwPostCoreNum,
-                                       CSL_lbistRegs *pLBISTRegs,
-                                       uint32_t *pLBISTSig);
+/* None */
 
 /* ========================================================================== */
 /*                         Structure Declarations                             */
@@ -146,72 +133,28 @@ static int32_t LBIST_runPostLbistCheck(uint32_t hwPostCoreNum,
  * It includes the following steps (each step has many sub-steps specificied
  * in more details within the function).
  * For HW POST LBIST:
- * Step 1: Configure interrupt handler
- * Step 2: Check POST results (already run at startup)
+ * Step 1: Check POST results (already run at startup)
  *
  * For SW-initiated LBIST:
- * Step 1: Configure interrupt handler
- * Step 2: Configure processor to correct state
- * Step 3: Configure LBIST
- * Step 4: Run LBIST test
- * Step 5: Restore cores
- * Step 6: Check result of LBIST
+ * Step 1: Configure processor to correct state
+ * Step 2: Run LBIST test
+ * Step 3: Restore cores
  * */
 int32_t LBIST_runTest(uint32_t coreIndex)
 {
     int32_t testResult = 0;
     int32_t status;
-    uint32_t calculatedMISR;
-    uint32_t expectedMISR;
-    Bool isLBISTRunning = CSL_FALSE;
-    CSL_lbistRegs *pLBISTRegs;
-    uint32_t *pLBISTSig;
-    HwiP_Params       hwiParams;
-    HwiP_Handle LBIST_hwiPHandle;
-    uint32_t timeoutCount = 0;
+    bool result;
+    SDL_LBIST_postResult postResult;
+
 #if defined(PROFILE_LBIST_TIMING)
     uint64_t startTime , testStartTime,  testEndTime, endTime;
     uint64_t prepTime, diffTime, restoreTime;
 
-    AppUtils_Printf(MSG_NORMAL,
-                    "\n Starting LBIST test on %s, index %d...",
+    UART_printf("\n Starting LBIST test on %s, index %d...",
                     LBIST_TestHandleArray[coreIndex].coreName,
                     coreIndex);
 #endif
-    /* Populate local variables from instance structure */
-    pLBISTRegs = LBIST_TestHandleArray[coreIndex].pLBISTRegs;
-    pLBISTSig = LBIST_TestHandleArray[coreIndex].pLBISTSig;
-
-    /*-- Step 1: Configure interrupt handler --*/
-    /* Register call back function for LBIST Interrupt */
-    if (LBIST_TestHandleArray[coreIndex].handler != NULL)
-    {
-        /* Disable interrupt */
-        HwiP_disableInterrupt(LBIST_TestHandleArray[coreIndex].interruptNumber);
-
-        /* Default parameter initialization */
-        HwiP_Params_init(&hwiParams);
-
-        /* Pass core Index as argument to handler*/
-        hwiParams.arg = coreIndex;
-#ifdef DEBUG
-    AppUtils_Printf(MSG_NORMAL,
-                    "\n  HwiP_Params_init complete \n");
-#endif
-
-        LBIST_hwiPHandle = HwiP_create(LBIST_TestHandleArray[coreIndex].interruptNumber,
-                                       (HwiP_Fxn)LBIST_TestHandleArray[coreIndex].handler,
-                                       (void *)&hwiParams);
-        if (LBIST_hwiPHandle == NULL)
-        {
-            AppUtils_Printf(MSG_NORMAL,
-                            "   Interrupt registration failed \n");
-            testResult = -1;
-        }
-    }
-
-    /* Initialize done flag */
-    LBIST_TestHandleArray[coreIndex].doneFlag = false;
 
 #if defined(PROFILE_LBIST_TIMING)
     /* Get start time of test */
@@ -222,31 +165,29 @@ int32_t LBIST_runTest(uint32_t coreIndex)
     if ((testResult == 0) &&
         (LBIST_TestHandleArray[coreIndex].hwPostCoreCheck == true))
     {
-        /* HW POST test flow - test already run, checking the result */
-        /* Step 2: (only for POST) Check POST results  */
-        testResult = LBIST_runPostLbistCheck(LBIST_TestHandleArray[coreIndex].hwPostCoreNum,
-                                             LBIST_TestHandleArray[coreIndex].pLBISTRegs,
-                                             LBIST_TestHandleArray[coreIndex].pLBISTSig);
-#ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "HW POST core: %s: result = %d\n",
-                        LBIST_TestHandleArray[coreIndex].coreName,
-                        testResult);
-#endif
+        status = SDL_LBIST_getPOSTStatus(&postResult);
+        if (status != SDL_PASS)
+        {
+            testResult = -1;
+            UART_printf("    SDL_LBIST_getPOSTStatus failed: Status %d \n", status);
+        }
+        else
+        {
+            LBIST_printPostStatus(&postResult);
+        }
     }
     else
     {
         /* SW-initiated LBIST test flow */
-        /*-- Step 2: Configure processor to correct state --*/
+        /*-- Step 1: Configure processor to correct state --*/
 
-        /**--- Step 2a: Request Primary core ---*/
+        /**--- Step 1a: Request Primary core ---*/
         if (testResult == 0)
         {
             if (LBIST_TestHandleArray[coreIndex].tisciProcId != 0u)
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Primary core: %s: Requesting processor \n",
+                UART_printf("  Primary core: %s: Requesting processor \n",
                                 LBIST_TestHandleArray[coreIndex].coreName);
 #endif
                 /* Request Primary core */
@@ -254,23 +195,21 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                             SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Primary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
+                    UART_printf("   Primary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].tisciProcId);
                     testResult = -1;
                 }
             }
         }
 
-        /**--- Step 2b: Request Secondary core ---*/
+        /**--- Step 1b: Request Secondary core ---*/
         if (testResult == 0)
         {
             if ((LBIST_TestHandleArray[coreIndex].secondaryCoreNeeded)
                 && (LBIST_TestHandleArray[coreIndex].tisciSecProcId != 0u))
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Secondary core: %s: Requesting processor \n",
+                UART_printf("  Secondary core: %s: Requesting processor \n",
                                 LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
                 /* Request secondary core */
@@ -278,15 +217,14 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                             SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Secondary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
+                    UART_printf("   Secondary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].tisciSecProcId);
                     testResult = -1;
                 }
             }
         }
 
-        /**--- Step 2c: Place all Auxilliary modules needed to run test into module reset ---*/
+        /**--- Step 1c: Place all Auxilliary modules needed to run test into module reset ---*/
         if (testResult == 0)
         {
             int i;
@@ -295,8 +233,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             for ( i = 0; i < LBIST_TestHandleArray[coreIndex].numAuxDevices; i++)
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Putting into module reset Device number %d Device Id %x\n",
+                UART_printf("  Putting into module reset Device number %d Device Id %x\n",
                                 i,
                                 LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
 #endif
@@ -306,8 +243,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                   SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
                     testResult = -1;
                     break;
@@ -315,12 +251,11 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             }
         }
 
-        /**--- Step 2d: Put Primary core in module reset and local reset ---*/
-        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciDeviceId != NULL))
+        /**--- Step 1d: Put Primary core in module reset and local reset ---*/
+        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciDeviceId != 0U))
         {
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Primary core: Putting in module and local reset the core %s \n",
+            UART_printf("  Primary core: Putting in module and local reset the core %s \n",
                             LBIST_TestHandleArray[coreIndex].coreName);
 #endif
             status = Sciclient_pmSetModuleRst(LBIST_TestHandleArray[coreIndex].tisciDeviceId,
@@ -328,19 +263,17 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                               SCICLIENT_SERVICE_WAIT_FOREVER);
             if (status != CSL_PASS)
             {
-                 AppUtils_Printf(MSG_NORMAL,
-                                 "  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
+                 UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
                                  LBIST_TestHandleArray[coreIndex].tisciDeviceId);
                  testResult = -1;
             }
         }
 
-        /**--- Step 2e: Put Secondary core in module reset and local reset ---*/
-        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciSecDeviceId != NULL))
+        /**--- Step 1e: Put Secondary core in module reset and local reset ---*/
+        if ((testResult == 0) && (LBIST_TestHandleArray[coreIndex].tisciSecDeviceId != 0U))
         {
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Secondary core: Putting in module and local reset the core %s \n",
+            UART_printf("  Secondary core: Putting in module and local reset the core %s \n",
                             LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
             status = Sciclient_pmSetModuleRst(LBIST_TestHandleArray[coreIndex].tisciSecDeviceId,
@@ -348,14 +281,13 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                               SCICLIENT_SERVICE_WAIT_FOREVER);
             if (status != CSL_PASS)
             {
-                 AppUtils_Printf(MSG_NORMAL,
-                                 "  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
+                 UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
                                  LBIST_TestHandleArray[coreIndex].tisciSecDeviceId);
                  testResult = -1;
             }
         }
 
-        /**--- Step 2f: Place all Auxilliary modules needed to run test into retention ---*/
+        /**--- Step 1f: Place all Auxilliary modules needed to run test into retention ---*/
         if (testResult == 0)
         {
             int i;
@@ -364,8 +296,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             for ( i = 0; i < LBIST_TestHandleArray[coreIndex].numAuxDevices; i++)
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Putting into Retention Device number %d Device Id %x\n",
+                UART_printf("  Putting into Retention Device number %d Device Id %x\n",
                                 i,
                                 LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
 #endif
@@ -376,8 +307,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
                     testResult = -1;
                     break;
@@ -385,15 +315,14 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             }
         }
 
-        /**--- Step 2g: Place Primary core into retention ---*/
+        /**--- Step 1g: Place Primary core into retention ---*/
         if (testResult == 0)
         {
             if (LBIST_TestHandleArray[coreIndex].tisciDeviceId != 0u)
             {
                 /* Placing Primary core into Retention */
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Primary core: Putting into Retention %s \n",
+                UART_printf("  Primary core: Putting into Retention %s \n",
                                 LBIST_TestHandleArray[coreIndex].coreName);
 #endif
                 status =  Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciDeviceId,
@@ -402,22 +331,20 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                      SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Primary core: Sciclient_pmSetModuleState...FAILED \n");
+                    UART_printf("   Primary core: Sciclient_pmSetModuleState...FAILED \n");
                     testResult = -1;
                 }
             }
         }
 
-        /**--- Step 2h: Place Secondary core into retention ---*/
+        /**--- Step 1h: Place Secondary core into retention ---*/
         if (testResult == 0)
         {
             if (LBIST_TestHandleArray[coreIndex].tisciSecDeviceId != 0u)
             {
                 /* Placing Secondary core into Retention */
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Secondary core: Putting into Retention %s \n",
+                UART_printf("  Secondary core: Putting into Retention %s \n",
                                 LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
                 status =  Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciSecDeviceId,
@@ -426,194 +353,24 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                      SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Secondary core: Sciclient_pmSetModuleState...FAILED \n");
+                    UART_printf("   Secondary core: Sciclient_pmSetModuleState...FAILED \n");
                     testResult = -1;
                 }
             }
         }
 
-        /**-- Step 3: Configure LBIST --*/
-        if (testResult == 0)
-        {
-            /* Configure LBIST */
-
-            status = CSL_LBIST_programConfig(pLBISTRegs, &LBIST_TestHandleArray[coreIndex].LBISTConfig);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "    LBIST program config failed \n");
-                testResult = -1;
-            }
-        }
-
-        /**-- Step 4: Run LBIST test --*/
+        /**-- Step 2: Run LBIST test --*/
 #if defined(PROFILE_LBIST_TIMING)
         /* Get start time for LBIST test */
         testStartTime = TimerP_getTimeInUsecs();
 #endif
 
-        /**--- Step 4a: Enable Isolation ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_enableIsolation\n");
-#endif
-            /* Call CSL API */
-            status = CSL_LBIST_enableIsolation(pLBISTRegs);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_enableIsolation...FAILED \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4b: reset LBIST ---*/
         if (testResult == 0)
         {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_reset \n");
-#endif
-            status = CSL_LBIST_reset(pLBISTRegs);
-            if (status != CSL_PASS)
+            status = SDL_LBIST_selfTest(LBIST_TestHandleArray[coreIndex].instance, SDL_LBIST_TEST, &result);
+            if ((status != SDL_PASS) || (result == false))
             {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_reset...FAILED \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4c: Enable Run BIST Mode ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_enabledRunBISTMode\n");
-#endif
-            status = CSL_LBIST_enableRunBISTMode(pLBISTRegs);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_enableRunBISTMode...FAILED \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4d: Start LBIST ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_start\n");
-#endif
-            status = CSL_LBIST_start(pLBISTRegs);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_start...FAILED \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4e: Check LBIST Running status ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_isRunning\n");
-#endif
-            status = CSL_LBIST_isRunning(pLBISTRegs, &isLBISTRunning);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_isRunning...FAILED \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4f: Wait for LBIST Interrupt ---*/
-        if (testResult == 0)
-        {
-            /* Just checking if LBIST in running state */
-            if ( isLBISTRunning != CSL_TRUE )
-            {
-#ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL, "   LBIST not running \n");
-#endif
-            }
-
-            /* Timeout if exceeds time */
-            while ((!LBIST_TestHandleArray[coreIndex].doneFlag)
-                   && (timeoutCount++ < LBIST_MAX_TIMEOUT_VALUE));
-
-            if (!(LBIST_TestHandleArray[coreIndex].doneFlag))
-            {
-                AppUtils_Printf(MSG_NORMAL, "   LBIST test timed out \n");
-                testResult = -1;
-            }
-            /* reset Done flag so we can run again */
-            LBIST_TestHandleArray[coreIndex].doneFlag = false;
-        }
-
-        /**--- Step 4g: Get Signature of test ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_getMISR\n");
-#endif
-            status = CSL_LBIST_getMISR(pLBISTRegs, &calculatedMISR);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   Get MISR failed \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4h: Get Expected Signature ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_getExpectedMISR\n");
-#endif
-            status = CSL_LBIST_getExpectedMISR(pLBISTSig, &expectedMISR);
-            if ( status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   Get Expected MISR failed \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4i: Clear Run BIST Mode ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_clearRunBISTMode\n");
-#endif
-            status = CSL_LBIST_clearRunBISTMode(pLBISTRegs);
-            if ( status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   CSL_LBIST_clearRunBISTMode failed \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4j: Stop LBIST ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_stop\n");
-#endif
-            status = CSL_LBIST_stop(pLBISTRegs);
-            if ( status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_stop failed \n");
-                testResult = -1;
-            }
-        }
-
-        /**--- Step 4k: Reset LBIST ---*/
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_LBIST_reset\n");
-#endif
-            status = CSL_LBIST_reset(pLBISTRegs);
-            if ( status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_reset failed \n");
+                UART_printf("    LBIST selfTest failed \n");
                 testResult = -1;
             }
         }
@@ -623,18 +380,17 @@ int32_t LBIST_runTest(uint32_t coreIndex)
         testEndTime = TimerP_getTimeInUsecs();
 #endif
 
-        /**-- Step 5: Restore cores --*/
+        /**-- Step 3: Restore cores --*/
         /* The following sequence is needed to restore core to normal operation */
 
-        /**--- Step 5a: Switch off Secondary core ---*/
+        /**--- Step 3a: Switch off Secondary core ---*/
         if (testResult == 0)
         {
             if (LBIST_TestHandleArray[coreIndex].secondaryCoreNeeded)
             {
                 /* Power off Secondary core */
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Secondary core: Powering off %s \n",
+                UART_printf("  Secondary core: Powering off %s \n",
                                 LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
                 status =  Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciSecDeviceId,
@@ -643,19 +399,18 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                      SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "   Secondary core: Sciclient_pmSetModuleState:  Power off FAILED \n");
+                    UART_printf("   Secondary core: Sciclient_pmSetModuleState:  Power off FAILED \n");
                     testResult = -1;
                 }
             }
         }
 
-        /**--- Step 5b: Switch off Primary core ---*/
+        /**--- Step 3b: Switch off Primary core ---*/
         if (testResult == 0)
         {
             /* Power off Primary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "  Primary core: Powering off %s \n",
+            UART_printf("  Primary core: Powering off %s \n",
                         LBIST_TestHandleArray[coreIndex].coreName);
 #endif
             status =  Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciDeviceId,
@@ -664,12 +419,11 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                  SCICLIENT_SERVICE_WAIT_FOREVER);
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Primary core: Sciclient_pmSetModuleState: Power off FAILED \n");
+                UART_printf("   Primary core: Sciclient_pmSetModuleState: Power off FAILED \n");
             }
         }
 
-        /**--- Step 5c: Switch off Auxilliary modules ---*/
+        /**--- Step 3c: Switch off Auxilliary modules ---*/
         if (testResult == 0)
         {
             int i;
@@ -678,8 +432,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             for ( i = 0; i < LBIST_TestHandleArray[coreIndex].numAuxDevices; i++)
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Powering off Device number %d Device Id %x\n",
+                UART_printf("  Powering off Device number %d Device Id %x\n",
                                 i,
                                 LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
 #endif
@@ -690,8 +443,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
                     testResult = -1;
                     break;
@@ -699,21 +451,21 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             }
         }
 
-        /**--- Step 5d: Disable Isolation ---*/
+        /**--- Step 3d: Disable Isolation ---*/
         if (testResult == 0)
         {
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "  Disabling isolation \n");
+            UART_printf("  Disabling isolation \n");
 #endif
-            status = CSL_LBIST_disableIsolation(pLBISTRegs);
-            if (status != CSL_PASS)
+            status = SDL_LBIST_selfTest(LBIST_TestHandleArray[coreIndex].instance, SDL_LBIST_TEST_RELEASE, &result);
+            if (status != SDL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL, "   CSL_LBIST_disableIsolation ...FAILED \n");
+                UART_printf("   SDL_LBIST_disableIsolation ...FAILED \n");
                 testResult = -1;
             }
         }
 
-        /**--- Step 5e: Place all Auxilliary modules into retention ---*/
+        /**--- Step 3e: Place all Auxilliary modules into retention ---*/
         if (testResult == 0)
         {
             int i;
@@ -722,8 +474,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             for ( i = 0; i < LBIST_TestHandleArray[coreIndex].numAuxDevices; i++)
             {
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Putting into Retention Device number %d Device Id %x\n",
+                UART_printf("  Putting into Retention Device number %d Device Id %x\n",
                                 i,
                                 LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
 #endif
@@ -734,8 +485,7 @@ int32_t LBIST_runTest(uint32_t coreIndex)
                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL,
-                                    "  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                                     LBIST_TestHandleArray[coreIndex].auxDeviceIdsP[i]);
                     testResult = -1;
                     break;
@@ -743,12 +493,12 @@ int32_t LBIST_runTest(uint32_t coreIndex)
             }
         }
 
-        /**--- Step 5f: Place Primary core into retention ---*/
+        /**--- Step 3f: Place Primary core into retention ---*/
         if (testResult == 0)
         {
             /* Placing Primary core into Retention */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "  Primary core: Putting into Retention %s \n",
+            UART_printf("  Primary core: Putting into Retention %s \n",
                             LBIST_TestHandleArray[coreIndex].coreName);
 #endif
             status = Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciDeviceId,
@@ -758,22 +508,20 @@ int32_t LBIST_runTest(uint32_t coreIndex)
 
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Primary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                UART_printf("   Primary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
                             LBIST_TestHandleArray[coreIndex].tisciDeviceId);
                 testResult = -1;
             }
         }
 
-        /**--- Step 5g: Place Secondary core into retention ---*/
+        /**--- Step 3g: Place Secondary core into retention ---*/
         if (testResult == 0)
         {
             if (LBIST_TestHandleArray[coreIndex].secondaryCoreNeeded)
             {
                 /* Placing Secondary core into Retention */
 #ifdef DEBUG
-                AppUtils_Printf(MSG_NORMAL,
-                                "  Secondary core: Putting into Retention %s \n",
+                UART_printf("  Secondary core: Putting into Retention %s \n",
                                 LBIST_TestHandleArray[coreIndex].secCoreName);
 #endif
                 status = Sciclient_pmSetModuleState(LBIST_TestHandleArray[coreIndex].tisciSecDeviceId,
